# API Reference

## API List

This collection of calls features in the parcelLab API v4 Enhanced and is used by different services, including the App. The available endpoints are grouped corresponding to their usage.

### Orders

Use the following API pages to manage data for trackings and orders in the parcelLab system.

{% content-ref url="/pages/U7MQ07RqCyYjsccBgGn0" %}
[Create Orders/Trackings](/docs/developers/orders/create-orders-trackings.md)
{% endcontent-ref %}

{% content-ref url="/pages/-M3LegGGICm4sUIsClT1" %}
[Full Order API Spec](/docs/developers/orders/full-order-api-spec.md)
{% endcontent-ref %}

### Status Updates

Use the following API pages to send, update, and retrieve status updates of an order or tracking in the parcelLab system.

{% content-ref url="/pages/-MXqvJjywxA1uA0mbCIS" %}
[Order/Warehouse Events](/docs/developers/status-updates/send-shop-events.md)
{% endcontent-ref %}

{% content-ref url="/pages/DugFoG9SGRM7zZdaaWxH" %}
[Order Status](/docs/developers/status-updates/order-status.md)
{% endcontent-ref %}

### PUDO Locations

Use the following API page to find nearby pickup or drop-off (PUDO) locations.

{% content-ref url="/pages/9vY5pXbfCT9TxuGDdjDg" %}
[Pickup/Drop-Off Locations](/docs/developers/pudo-locations/pickup-drop-off-locations.md)
{% endcontent-ref %}

### Promise

Use the following API page to retrieve forecasted delivery dates to display pre-checkout in your web shop.

{% content-ref url="/pages/kcO2poMVo9LpuQkzpm1X" %}
[Promise Dates](/docs/developers/promise/api.md)
{% endcontent-ref %}

### Campaign Manager

Use the following API page to retrieve campaign data and track campaign event data.

{% content-ref url="/pages/Y9MCLrFC4QVNQeEXOnPQ" %}
[Campaigns](/docs/developers/campaign-manager/campaigns.md)
{% endcontent-ref %}

### Surveys

Use the following API page to retrieve survey information and submit survey responses.

{% content-ref url="/pages/B1sjH4FN7rxReX6JYch5" %}
[Surveys](/docs/developers/surveys/surveys.md)
{% endcontent-ref %}

### Returns

Use the following API pages to manage return configurations and return registrations.

{% content-ref url="/pages/REjE2gizAP9nT71lcOwq" %}
[Return Configurations](/docs/developers/returns/return-configurations.md)
{% endcontent-ref %}

{% content-ref url="/pages/458qEw6uFjwnXjaDVguh" %}
[Return Registrations](/docs/developers/returns/return-registrations.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parcellab.com/docs/developers/getting-started/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
